DataBolsa docs
Referência da APIExtensõesAdvisorClientes

Atualizar cadastro/status do cliente

Altera o cadastro ou a situação do cliente (patch parcial). `status: offboarded` encerra a relação preservando o histórico.

PATCH
/v1/advisor/orgs/{org}/clients/{clientId}
AuthorizationBearer <token>

In: header

Path Parameters

orgstring

Id ou slug da organização (de advisorGetMe).

clientIdstring

Id do cliente (de advisorListClients).

name?string

Novo nome.

Length2 <= length
kind?string

person ou entity.

Value in"person" | "entity"
email?string | null

E-mail de contato; null limpa.

Formatemail
phone?string | null

Telefone; null limpa.

document_id?string | null

CPF ou CNPJ, só dígitos; null limpa.

family_id?string | null

Família; null desvincula.

status?string

prospect, active, inactive ou offboarded (encerra a relação preservando o histórico).

Value in"prospect" | "active" | "inactive" | "offboarded"

Response Body

curl -X PATCH "https://api.databolsa.com/v1/advisor/orgs/string/clients/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "kind": "person",
  "name": "string",
  "email": "string",
  "phone": "string",
  "document_id": "string",
  "family_id": "string",
  "status": "prospect",
  "created_at": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string"
}